<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: sd_io_v002 Module Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions/Subroutines</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">sd_io_v002 Module Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:aae409c19432905b55a45c65a17d623ae"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__io__v002.html#aae409c19432905b55a45c65a17d623ae">read_sd_grid_v002</a> (first_sd_ptr, nga_file)</td></tr>
<tr class="separator:aae409c19432905b55a45c65a17d623ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a13f2b2d9f0cb3e1f82efecdbe039b19d"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__io__v002.html#a13f2b2d9f0cb3e1f82efecdbe039b19d">read_sd_boundary_v002</a> (first_sd_ptr)</td></tr>
<tr class="separator:a13f2b2d9f0cb3e1f82efecdbe039b19d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5d323876988fa11c6341a6d97734332"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__io__v002.html#af5d323876988fa11c6341a6d97734332">read_sd_data_v002</a> (first_sd_ptr)</td></tr>
<tr class="separator:af5d323876988fa11c6341a6d97734332"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4fc5ca5721d47af96a0343af0cfea53"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__io__v002.html#ae4fc5ca5721d47af96a0343af0cfea53">write_sd_grid_v002</a> (sd)</td></tr>
<tr class="separator:ae4fc5ca5721d47af96a0343af0cfea53"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82905408be86b386e5c63fb8ca67ae81"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__io__v002.html#a82905408be86b386e5c63fb8ca67ae81">write_sd_data_v002</a> (sd)</td></tr>
<tr class="separator:a82905408be86b386e5c63fb8ca67ae81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae3bd6fbb89c66724bc4eae807bb1025e"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__io__v002.html#ae3bd6fbb89c66724bc4eae807bb1025e">interp_from_file_v002</a> (sd, sd_read_ptr, nga_file, time_only, time_update, param_opt)</td></tr>
<tr class="separator:ae3bd6fbb89c66724bc4eae807bb1025e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a53b33a3db86b47aa1b6141858fc1a03c"><td class="memItemLeft" align="right" valign="top">character(len=str_medium), private&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__io__v002.html#a53b33a3db86b47aa1b6141858fc1a03c">name</a></td></tr>
<tr class="separator:a53b33a3db86b47aa1b6141858fc1a03c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5bf8a8fcd1441bc45f255941e092d12"><td class="memItemLeft" align="right" valign="top">character(len=str_medium), private&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__io__v002.html#ab5bf8a8fcd1441bc45f255941e092d12">sub_name</a></td></tr>
<tr class="separator:ab5bf8a8fcd1441bc45f255941e092d12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af79d34fa10cd092ff7b7462b15b2563f"><td class="memItemLeft" align="right" valign="top">integer, private&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__io__v002.html#af79d34fa10cd092ff7b7462b15b2563f">ierr</a></td></tr>
<tr class="separator:af79d34fa10cd092ff7b7462b15b2563f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab82c3f95cef09e1b759fe30c05a9363"><td class="memItemLeft" align="right" valign="top">integer, dimension(mpi_status_size), private&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__io__v002.html#aab82c3f95cef09e1b759fe30c05a9363">status</a></td></tr>
<tr class="separator:aab82c3f95cef09e1b759fe30c05a9363"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2cc2e74faa28d6e5c8ec13876594cdcc"><td class="memItemLeft" align="right" valign="top">integer, private&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__io__v002.html#a2cc2e74faa28d6e5c8ec13876594cdcc">data_type</a></td></tr>
<tr class="separator:a2cc2e74faa28d6e5c8ec13876594cdcc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af18ab9b20380380d50c21a3519522464"><td class="memItemLeft" align="right" valign="top">integer, private&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__io__v002.html#af18ab9b20380380d50c21a3519522464">my_data_size</a></td></tr>
<tr class="separator:af18ab9b20380380d50c21a3519522464"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8bb3d442b264f04e0152d7728c4a06f5"><td class="memItemLeft" align="right" valign="top">integer(8), private&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__io__v002.html#a8bb3d442b264f04e0152d7728c4a06f5">data_size</a></td></tr>
<tr class="separator:a8bb3d442b264f04e0152d7728c4a06f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af3749edc1b24f90b892c157df33bbc84"><td class="memItemLeft" align="right" valign="top">integer(kind=mpi_offset_kind), private&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__io__v002.html#af3749edc1b24f90b892c157df33bbc84">offset_tmp</a></td></tr>
<tr class="separator:af3749edc1b24f90b892c157df33bbc84"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="ae3bd6fbb89c66724bc4eae807bb1025e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae3bd6fbb89c66724bc4eae807bb1025e">&#9670;&nbsp;</a></span>interp_from_file_v002()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public sd_io_v002::interp_from_file_v002 </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>sd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), pointer&#160;</td>
          <td class="paramname"><em>sd_read_ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structnga__io__defs_1_1nga__file__t.html">nga_file_t</a>), intent(in)&#160;</td>
          <td class="paramname"><em>nga_file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">logical&#160;</td>
          <td class="paramname"><em>time_only</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">logical&#160;</td>
          <td class="paramname"><em>time_update</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structparser_1_1param__t.html">param_t</a>), intent(inout), optional&#160;</td>
          <td class="paramname"><em>param_opt</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="sd__io__v002_8f90.html#a5c09ba044b1f07862e83149d7d580bfb">close_file()</a>, <a class="el" href="namespacesd__io__component__v002.html#a5fd56d88fa72cdc0e430a7aec4008c0c">sd_io_component_v002::data_type</a>, <a class="el" href="namespacesd__io__interp__m.html#a4613a4928b51f5ce3c2da38f012194d6">sd_io_interp_m::get_first_io_interp()</a>, <a class="el" href="sd__io__v002_8f90.html#a1b9edda8daff9c51b6f08d518d9bc670">goto_sd_data()</a>, <a class="el" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5">graceful_exit()</a>, <a class="el" href="namespacesd__io__component__v002.html#a6141fac4a3ae4babab6fbfaf876f66ee">sd_io_component_v002::ierr</a>, <a class="el" href="namespacesd__io__interp__m.html#a371bb2cf4af3928209f963a7f9327430">sd_io_interp_m::max_interp_points</a>, <a class="el" href="namespacesd__io__component__v002.html#a809b79cdb869e4551fa55531ddd08148">sd_io_component_v002::offset_tmp</a>, <a class="el" href="sd__io__v002_8f90.html#a8ccdd6e800751301c7b47e17f1ce2890">open_file()</a>, <a class="el" href="sd__io__v002_8f90.html#ae47beb762aef2c61feff68823d1c0e70">setup_io_interp_cart()</a>, and <a class="el" href="namespacesd__io__component__v002.html#ae695849a4ddb9184488ae6c5d9ae6bcc">sd_io_component_v002::status</a>.</p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacesd__io__v002_ae3bd6fbb89c66724bc4eae807bb1025e_cgraph.png" border="0" usemap="#namespacesd__io__v002_ae3bd6fbb89c66724bc4eae807bb1025e_cgraph" alt=""/></div>
<map name="namespacesd__io__v002_ae3bd6fbb89c66724bc4eae807bb1025e_cgraph" id="namespacesd__io__v002_ae3bd6fbb89c66724bc4eae807bb1025e_cgraph">
<area shape="rect" id="node2" href="sd__io__v002_8f90.html#a5c09ba044b1f07862e83149d7d580bfb" title="close_file" alt="" coords="212,5,289,32"/>
<area shape="rect" id="node3" href="namespacesd__io__interp__m.html#a4613a4928b51f5ce3c2da38f012194d6" title="sd_io_interp_m::get\l_first_io_interp" alt="" coords="183,57,319,98"/>
<area shape="rect" id="node4" href="sd__io__v002_8f90.html#a1b9edda8daff9c51b6f08d518d9bc670" title="goto_sd_data" alt="" coords="201,123,301,149"/>
<area shape="rect" id="node5" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="397,173,493,200"/>
<area shape="rect" id="node7" href="sd__io__v002_8f90.html#a8ccdd6e800751301c7b47e17f1ce2890" title="open_file" alt="" coords="213,224,288,251"/>
<area shape="rect" id="node8" href="sd__io__v002_8f90.html#ae47beb762aef2c61feff68823d1c0e70" title="setup_io_interp_cart" alt="" coords="181,464,320,491"/>
<area shape="rect" id="node6" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="593,163,724,205"/>
<area shape="rect" id="node9" href="namespacesd__io__interp__m.html#ac0599a6a9ad2b95a734bcf47f5197e03" title="sd_io_interp_m::add\l_io_interp" alt="" coords="375,229,514,270"/>
<area shape="rect" id="node11" href="namespacesd__io__interp__m.html#a5a1b414fac4a882e538ee998c48b12e3" title="sd_io_interp_m::get\l_io_interp" alt="" coords="377,294,513,335"/>
<area shape="rect" id="node13" href="sd__io__v002_8f90.html#a41a12cf1e39ccb88431d6786ee4599da" title="id_to_ijk" alt="" coords="409,556,480,583"/>
<area shape="rect" id="node14" href="namespacesd__io__interp__m.html#a4ac71ba9a73f1512dfe7056129077ce9" title="sd_io_interp_m::resize\l_sd_io_interp" alt="" coords="368,607,521,649"/>
<area shape="rect" id="node15" href="namespacesd__io__interp__m.html#a63523b506c058d144dc997f857240acb" title="sd_io_interp_m::setup\l_replacement_cv" alt="" coords="369,673,520,714"/>
<area shape="rect" id="node16" href="namespacesd__io__interp__m.html#a94ef428a24748a153d65d7a155be79a2" title="sd_io_interp_m::setup\l_replacement_fai" alt="" coords="369,490,520,531"/>
<area shape="rect" id="node19" href="namespacesd__io__interp__m.html#af96560d7f5353444136b71618b4b06ca" title="sd_io_interp_m::setup\l_replacement_faj" alt="" coords="369,425,520,466"/>
<area shape="rect" id="node20" href="namespacesd__io__interp__m.html#a4d511b1b30f5c761a439336c2f601505" title="sd_io_interp_m::setup\l_replacement_fak" alt="" coords="369,359,520,401"/>
<area shape="rect" id="node21" href="namespacesd__io__interp__m.html#a5df3147c80b4b3d2dab61b1d18979e6a" title="sd_io_interp_m::setup\l_replacement_no" alt="" coords="369,738,520,779"/>
<area shape="rect" id="node10" href="namespacesd__io__interp__m.html#a13faa4c415817ebf8b019a6f26017cb3" title="sd_io_interp_m::add\l_sd_io_interp" alt="" coords="589,229,728,270"/>
<area shape="rect" id="node12" href="namespacesd__io__interp__m.html#ad8aee08030d12f02eb32977f3df81bb9" title="sd_io_interp_m::get\l_sd_io_interp" alt="" coords="591,294,727,335"/>
<area shape="rect" id="node17" href="namespacesd__io__interp__m.html#a181734b4364e62768f2bf67bb5839405" title="sd_io_interp_m::distsq_2pt" alt="" coords="569,495,748,521"/>
<area shape="rect" id="node18" href="namespacesd__tools.html#a183683b2616635978cc95e1c6756fd48" title="sd_tools::position\l_cyl2cart" alt="" coords="597,427,721,469"/>
</map>
</div>
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacesd__io__v002_ae3bd6fbb89c66724bc4eae807bb1025e_icgraph.png" border="0" usemap="#namespacesd__io__v002_ae3bd6fbb89c66724bc4eae807bb1025e_icgraph" alt=""/></div>
<map name="namespacesd__io__v002_ae3bd6fbb89c66724bc4eae807bb1025e_icgraph" id="namespacesd__io__v002_ae3bd6fbb89c66724bc4eae807bb1025e_icgraph">
<area shape="rect" id="node2" href="namespacesd__io.html#a2b47bb0e9595c2e5ddf9ea03eaba9d34" title="sd_io::interp_from_file" alt="" coords="181,342,332,369"/>
<area shape="rect" id="node3" href="namespacearts__cf__simulation.html#af39829beac049c1764a4fc8b688ff8b0" title="Initialization routine 1. " alt="" coords="383,64,517,105"/>
<area shape="rect" id="node8" href="namespacearts__md__simulation.html#afd5f62079c0790e0bdad1f7bfb766a29" title="arts_md_simulation\l::arts_md_init" alt="" coords="583,159,717,200"/>
<area shape="rect" id="node10" href="namespacearts__md__simulation.html#a3d6fef8fb1ad778ddb9a69e21c65c25e" title="arts_md_simulation\l::arts_md_init_step1" alt="" coords="380,181,520,223"/>
<area shape="rect" id="node11" href="namespacearts__simulation.html#a6f46c953aada929893fc5d2dfaac0f4c" title="arts_simulation::arts\l_init_step1" alt="" coords="380,247,520,288"/>
<area shape="rect" id="node14" href="namespacecfd__tools.html#a0556bc00b636fe03ca978e726709a9c6" title="sd initialization routine " alt="" coords="389,364,511,405"/>
<area shape="rect" id="node15" href="namespacenga__cf__cold__func.html#a954f8dc1c6cf2254c9e29584492937dc" title="nga_cf_cold_func::cf\l_cold_init_step1" alt="" coords="579,313,721,355"/>
<area shape="rect" id="node20" href="interfacenga__cf__cold__func_1_1scalar__bc__hook.html#a8fe3ce1c57a677b10cc2ea355dc49a11" title="nga_cf_cold_func::scalar\l_bc_hook::scalar_bc_hook" alt="" coords="780,404,957,445"/>
<area shape="rect" id="node21" href="namespacenga__if__func.html#acfc411708492ec063ff80d6af8d11b86" title="nga_if_func::if_init\l_step1" alt="" coords="386,481,514,523"/>
<area shape="rect" id="node26" href="namespacenga__x__func.html#a59635fdbb8689c805785adef9ab59889" title="nga_x_func::x_init\l_step1" alt="" coords="386,547,514,588"/>
<area shape="rect" id="node29" href="namespacevdf__tools.html#aadf7c3eb5df72d827142fe4f951fc332" title="vdf_tools::sd_init\l_single_vdf" alt="" coords="389,612,511,653"/>
<area shape="rect" id="node4" href="namespacearts__cf__simulation.html#a372b0da189959755baaea7c5d75bf9fb" title="Initialization routine of the solver. " alt="" coords="586,5,714,47"/>
<area shape="rect" id="node6" href="namespacearts__wc__simulation.html#a532738af4bf9c2cb151dab03e904cc21" title="arts_wc_simulation\l::arts_wc_init" alt="" coords="583,71,717,112"/>
<area shape="rect" id="node5" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="837,13,900,39"/>
<area shape="rect" id="node7" href="arts__cf_2arts__wc_8f90.html#af7bb7cfbac3d52067a278f3367ac7ccd" title="arts_wc" alt="" coords="835,78,903,105"/>
<area shape="rect" id="node9" href="arts_2arts__md_8f90.html#a448e6c85f77623da832aacf3910ed2b3" title="arts_md" alt="" coords="834,166,903,193"/>
<area shape="rect" id="node12" href="namespacearts__simulation.html#a043130c34ce9a9b4a1ea96faa8be3692" title="arts_simulation::arts_init" alt="" coords="568,231,732,258"/>
<area shape="rect" id="node13" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="847,222,891,249"/>
<area shape="rect" id="node16" href="namespacenga__cf__bmix__func.html#a10d9b85c2907eaf67a19676f6e903b99" title="nga_cf_bmix_func::cf\l_bmix_init" alt="" coords="795,273,942,315"/>
<area shape="rect" id="node18" href="namespacenga__cf__cold__func.html#aacd6b98963e282fe35d095621ad01930" title="nga_cf_cold_func::cf\l_cold_init" alt="" coords="797,339,940,380"/>
<area shape="rect" id="node17" href="nga__cf__bmix_8f90.html#a03498a029da62800ff43fa618657ae83" title="nga_cf_bmix" alt="" coords="1005,281,1101,307"/>
<area shape="rect" id="node19" href="nga__cf__cold_2nga__cf__cold_8f90.html#abb68a45d77deeb00b9d2eadec4755bbf" title="nga_cf_cold" alt="" coords="1007,346,1099,373"/>
<area shape="rect" id="node22" href="namespacenga__if__func.html#a1cf1bb54c5fa75e6fbf56cde70720527" title="nga_if_func::if_init" alt="" coords="586,481,714,507"/>
<area shape="rect" id="node24" href="namespacenga__if__ib__func.html#a6a6b74659652a9dfd96316db7cee2531" title="nga_if_ib_func::if\l_ib_init" alt="" coords="589,532,711,573"/>
<area shape="rect" id="node23" href="nga__if_2nga__if_8f90.html#ad0097941595a2ca34c36d82feb742ad0" title="nga_if" alt="" coords="840,481,897,507"/>
<area shape="rect" id="node25" href="nga__if__ib_2nga__if__ib_8f90.html#a40b85c09234cf3658b0935a7dda16f35" title="nga_if_ib" alt="" coords="831,539,906,566"/>
<area shape="rect" id="node27" href="namespacenga__x__func.html#a939e581f76d89434778319764f09d0a6" title="nga_x_func::x_init" alt="" coords="586,598,714,625"/>
<area shape="rect" id="node28" href="nga__x_8f90.html#abec3e747113e9dd808fcf2010dac88a0" title="nga_x" alt="" coords="840,598,897,625"/>
</map>
</div>

</div>
</div>
<a id="a13f2b2d9f0cb3e1f82efecdbe039b19d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a13f2b2d9f0cb3e1f82efecdbe039b19d">&#9670;&nbsp;</a></span>read_sd_boundary_v002()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public sd_io_v002::read_sd_boundary_v002 </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), pointer&#160;</td>
          <td class="paramname"><em>first_sd_ptr</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacesd__io__component__v002.html#a6141fac4a3ae4babab6fbfaf876f66ee">sd_io_component_v002::ierr</a>, <a class="el" href="sd__io__v002_8f90.html#afefb27e6b0d053ab25adb44ed6311ac6">process_cv_mask()</a>, <a class="el" href="sd__io__v002_8f90.html#a306130a4809e60a4292661ffea4c917b">process_read_sd()</a>, <a class="el" href="sd__io__v002_8f90.html#a8fe6618157385d2afaeeb55a73ff5d67">process_sd_boundary()</a>, <a class="el" href="namespacesd__io__component__v002.html#ae695849a4ddb9184488ae6c5d9ae6bcc">sd_io_component_v002::status</a>, and <a class="el" href="namespacesd__boundary__tools.html#a75f08e8f3b25e70c0d6b2e0076ef23fe">sd_boundary_tools::update_grid_fa_list()</a>.</p>
<div id="dynsection-2" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-2-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-2-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-2-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacesd__io__v002_a13f2b2d9f0cb3e1f82efecdbe039b19d_cgraph.png" border="0" usemap="#namespacesd__io__v002_a13f2b2d9f0cb3e1f82efecdbe039b19d_cgraph" alt=""/></div>
<map name="namespacesd__io__v002_a13f2b2d9f0cb3e1f82efecdbe039b19d_cgraph" id="namespacesd__io__v002_a13f2b2d9f0cb3e1f82efecdbe039b19d_cgraph">
<area shape="rect" id="node2" href="sd__io__v002_8f90.html#afefb27e6b0d053ab25adb44ed6311ac6" title="process_cv_mask" alt="" coords="207,42,335,69"/>
<area shape="rect" id="node3" href="sd__io__v002_8f90.html#a306130a4809e60a4292661ffea4c917b" title="process_read_sd" alt="" coords="402,34,523,61"/>
<area shape="rect" id="node6" href="sd__io__v002_8f90.html#a8fe6618157385d2afaeeb55a73ff5d67" title="process_sd_boundary" alt="" coords="196,143,345,170"/>
<area shape="rect" id="node40" href="namespacesd__boundary__tools.html#a75f08e8f3b25e70c0d6b2e0076ef23fe" title="sd_boundary_tools::\lupdate_grid_fa_list" alt="" coords="201,195,340,236"/>
<area shape="rect" id="node4" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="626,46,722,73"/>
<area shape="rect" id="node5" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="845,5,976,47"/>
<area shape="rect" id="node7" href="namespacesd__boundary__tools.html#ad6fd7ad835b2ec57b20528aa2eb45aa5" title="sd_boundary_tools::\ladd_boundary" alt="" coords="393,201,532,243"/>
<area shape="rect" id="node32" href="namespacesd__boundary__tools.html#a82c30d4e739330fc7ed5a8f9a6cdcc4a" title="sd_boundary_tools::\ladd_grid_face" alt="" coords="393,136,532,177"/>
<area shape="rect" id="node33" href="namespacesd__boundary__tools.html#a361820f40796f70fa7be9452e8eaddaf" title="sd_boundary_tools::\linit_object_pack_for\l_boundary" alt="" coords="393,347,532,403"/>
<area shape="rect" id="node8" href="namespaceparser.html#a78c63fa231dbf4d7adae5c4ba724d6ee" title="parser::get_param" alt="" coords="611,395,737,422"/>
<area shape="rect" id="node15" href="namespacesd__boundary__tools.html#ac80af3a10d7b48d1aa58fe34bea926d5" title="sd_boundary_tools::\lreset_boundary_tools" alt="" coords="601,123,747,164"/>
<area shape="rect" id="node16" href="namespacesd__boundary__tools.html#aff8061110aef298643f815100ee2a981" title="sd_boundary_tools::\lset_default_object_boundary" alt="" coords="580,188,768,229"/>
<area shape="rect" id="node31" href="namespaceparser.html#acefa5a2735f7ec139f6580dc7c54d6fa" title="parser::set_next_param" alt="" coords="595,345,753,371"/>
<area shape="rect" id="node9" href="namespaceparser.html#a34f545c81b46c08e17a82c1628281242" title="parser::add_tag_to_list" alt="" coords="833,471,988,498"/>
<area shape="rect" id="node10" href="namespaceparser.html#ae72f9b0f3318c3dc4c2290a3c543d78b" title="parser::compare_domain\l_param" alt="" coords="828,523,993,564"/>
<area shape="rect" id="node11" href="namespaceparser.html#ae0cbde482df428447cce9a30d81332e7" title="parser::compare_tag\l_param" alt="" coords="840,253,981,295"/>
<area shape="rect" id="node12" href="namespaceparser.html#ab0e00b1de2b23d9655cc7707e51ebae9" title="parser::in_param_rewind" alt="" coords="829,319,993,346"/>
<area shape="rect" id="node13" href="namespaceparser.html#a99f99745577c0d4e01da2a949b601bf0" title="parser::in_param_rewind_tag" alt="" coords="816,370,1005,397"/>
<area shape="rect" id="node14" href="namespaceparser.html#a91aaf4597fa9c7a14a57273280085469" title="parser::reset_tag_list" alt="" coords="839,421,983,447"/>
<area shape="rect" id="node17" href="namespaceobject__func__m.html#aac1524e418a269e282daf492114dc6f1" title="object_func_m::add\l_object" alt="" coords="843,188,979,229"/>
<area shape="rect" id="node28" href="sd__boundary__tools_8f90.html#a7433ef9c5053b23486c7dc08a9292503" title="assign_object" alt="" coords="859,71,962,98"/>
<area shape="rect" id="node30" href="namespaceobject__func__m.html#a64de2245aac7371b06ee92677fe52804" title="object_func_m::get\l_object" alt="" coords="844,123,977,164"/>
<area shape="rect" id="node18" href="namespaceobject__defs__m.html#a5bdd1688083cf818142827bbb7787cdf" title="object_defs_m::allocate\l_object" alt="" coords="1265,356,1425,397"/>
<area shape="rect" id="node19" href="namespaceobject__defs__m.html#a4bac4cee910ad7e8f76c50d119c7d734" title="object_defs_m::cleanup\l_object" alt="" coords="1473,488,1633,529"/>
<area shape="rect" id="node20" href="namespaceobject__defs__m.html#a233967a80f88843a3b1a35c7b20936c9" title="object_defs_m::destroy\l_object_motions_ptr" alt="" coords="1681,553,1840,595"/>
<area shape="rect" id="node23" href="namespaceobject__defs__m.html#a867ed85380345a222044fca69b9d32d8" title="object_defs_m::destroy\l_object_user" alt="" coords="1681,488,1840,529"/>
<area shape="rect" id="node24" href="namespacestl__m.html#af4785f0036e4eb885a2fec08239b6baa" title="stl_m::destroy_stl_ptr" alt="" coords="1687,437,1835,463"/>
<area shape="rect" id="node21" href="namespaceobject__defs__m.html#aba2ede4c57e230ab7268324a644ff3c3" title="object_defs_m::cleanup\l_object_motions" alt="" coords="1888,553,2048,595"/>
<area shape="rect" id="node22" href="namespaceobject__defs__m.html#a5f1484fe7f20979b13aa7420befb04ea" title="object_defs_m::destroy\l_object_a_motion_ptr" alt="" coords="2098,553,2257,595"/>
<area shape="rect" id="node25" href="namespacestl__m.html#a598f3d5697e199dcfbf19e3f5b596d63" title="stl_m::cleanup_stl" alt="" coords="1904,437,2032,463"/>
<area shape="rect" id="node26" href="namespaceadt__m.html#a23ca5dd34e7e9758dda571e9b3da642a" title="adt_m::cleanup_adt" alt="" coords="2109,462,2245,489"/>
<area shape="rect" id="node27" href="namespacestl__m.html#ab82ddc34e0ce3ffc0f6a781213a2f692" title="stl_m::cleanup_stl_work" alt="" coords="2096,411,2259,438"/>
<area shape="rect" id="node29" href="namespacesd__boundary.html#a4cbffd5d524ea35cb47754c93d6ec49e" title="sd_boundary::get_object\l_item_by_index" alt="" coords="1053,64,1217,105"/>
<area shape="rect" id="node34" href="namespaceobject__func__m.html#a40226f8d69d254ab611d3e3f6a58f159" title="object_func_m::add\l_object_pack" alt="" coords="606,504,742,545"/>
<area shape="rect" id="node35" href="namespaceobject__defs__m.html#a4e356e4ffd3854d03bd41cf14599e6f6" title="object_defs_m::allocate\l_object_pack" alt="" coords="831,588,991,629"/>
<area shape="rect" id="node36" href="namespaceobject__defs__m.html#a251642ae718b46f8bf528cbb479250bc" title="object_defs_m::cleanup\l_object_pack" alt="" coords="1055,553,1215,595"/>
<area shape="rect" id="node37" href="namespaceobject__defs__m.html#ae0498e1bb850aeb67a2be188e1baed1c" title="object_defs_m::destroy\l_object_group_ptr" alt="" coords="1266,553,1425,595"/>
<area shape="rect" id="node39" href="namespaceobject__defs__m.html#af325d428590dd244fbe6f6875b8e7d23" title="object_defs_m::destroy\l_object_ptr" alt="" coords="1266,488,1425,529"/>
<area shape="rect" id="node38" href="namespaceobject__defs__m.html#af0d80d5b06592f8d9d04cddd2b720302" title="object_defs_m::cleanup\l_object_group" alt="" coords="1473,553,1633,595"/>
</map>
</div>
<div id="dynsection-3" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-3-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-3-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-3-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacesd__io__v002_a13f2b2d9f0cb3e1f82efecdbe039b19d_icgraph.png" border="0" usemap="#namespacesd__io__v002_a13f2b2d9f0cb3e1f82efecdbe039b19d_icgraph" alt=""/></div>
<map name="namespacesd__io__v002_a13f2b2d9f0cb3e1f82efecdbe039b19d_icgraph" id="namespacesd__io__v002_a13f2b2d9f0cb3e1f82efecdbe039b19d_icgraph">
<area shape="rect" id="node2" href="sd__io_8f90.html#a2190e35399a4ea5f9bfb441fa42a4666" title="read_boundary" alt="" coords="196,315,303,341"/>
<area shape="rect" id="node3" href="namespacesd__io.html#a1a88396eab3959432d4f51c38186aa45" title="sd_io::read_sd_boundary" alt="" coords="351,315,517,341"/>
<area shape="rect" id="node4" href="accuop-v01_8f90.html#ab8e63ac6594ce1188791fdf6497cd828" title="read_sd_test" alt="" coords="608,5,705,32"/>
<area shape="rect" id="node5" href="namespacearts__md__simulation.html#afd5f62079c0790e0bdad1f7bfb766a29" title="arts_md_simulation\l::arts_md_init" alt="" coords="589,57,724,98"/>
<area shape="rect" id="node7" href="namespacecfd__tools.html#a0556bc00b636fe03ca978e726709a9c6" title="sd initialization routine " alt="" coords="596,122,717,163"/>
<area shape="rect" id="node14" href="cfd__tools__exp_8f90.html#ac688c49d79336ab0cae1905260507354" title="nover_from_scalar_scheme" alt="" coords="565,188,748,215"/>
<area shape="rect" id="node15" href="compareDataFiles_8f90.html#a59b222e6afb675704a9e097f152f615c" title="dataanalysisciao" alt="" coords="808,289,927,316"/>
<area shape="rect" id="node16" href="tools_2sd2plot_2sd2plot_8f90.html#a57e5344d18306324ff6e812e78beb9e3" title="sd2plot" alt="" coords="1043,391,1107,417"/>
<area shape="rect" id="node17" href="namespacesd__io.html#a07e2dc530709ebf03be665233080c4a6" title="sd_io::read_sd_file_all" alt="" coords="581,340,732,367"/>
<area shape="rect" id="node20" href="spectrum_8f90.html#a0d6d5cc29e192d38e0e26c84cc0d1fd1" title="spectrum" alt="" coords="829,492,905,519"/>
<area shape="rect" id="node21" href="tsf_8f90.html#a714f2ed0b514f8e0578a44cc3307a89c" title="tsf" alt="" coords="848,543,887,569"/>
<area shape="rect" id="node22" href="namespacesd__io.html#a10c65fb71f15b52e01b2b42b3bbbbe62" title="sd_io::sd_init_single_sd" alt="" coords="576,492,737,519"/>
<area shape="rect" id="node23" href="test__bmatrix_8f90.html#ab8f7c591d9846c97055be062b021e5c6" title="test_sd" alt="" coords="624,543,689,569"/>
<area shape="rect" id="node24" href="namespacevdf__tools.html#aadf7c3eb5df72d827142fe4f951fc332" title="vdf_tools::sd_init\l_single_vdf" alt="" coords="596,594,717,635"/>
<area shape="rect" id="node6" href="arts_2arts__md_8f90.html#a448e6c85f77623da832aacf3910ed2b3" title="arts_md" alt="" coords="833,64,902,91"/>
<area shape="rect" id="node8" href="namespacenga__cf__cold__func.html#a954f8dc1c6cf2254c9e29584492937dc" title="nga_cf_cold_func::cf\l_cold_init_step1" alt="" coords="796,117,939,158"/>
<area shape="rect" id="node13" href="interfacenga__cf__cold__func_1_1scalar__bc__hook.html#a8fe3ce1c57a677b10cc2ea355dc49a11" title="nga_cf_cold_func::scalar\l_bc_hook::scalar_bc_hook" alt="" coords="987,181,1164,222"/>
<area shape="rect" id="node9" href="namespacenga__cf__bmix__func.html#a10d9b85c2907eaf67a19676f6e903b99" title="nga_cf_bmix_func::cf\l_bmix_init" alt="" coords="1002,50,1149,91"/>
<area shape="rect" id="node11" href="namespacenga__cf__cold__func.html#aacd6b98963e282fe35d095621ad01930" title="nga_cf_cold_func::cf\l_cold_init" alt="" coords="1004,115,1147,157"/>
<area shape="rect" id="node10" href="nga__cf__bmix_8f90.html#a03498a029da62800ff43fa618657ae83" title="nga_cf_bmix" alt="" coords="1212,57,1308,84"/>
<area shape="rect" id="node12" href="nga__cf__cold_2nga__cf__cold_8f90.html#abb68a45d77deeb00b9d2eadec4755bbf" title="nga_cf_cold" alt="" coords="1214,123,1306,149"/>
<area shape="rect" id="node18" href="compare__sd_8f90.html#a7b6c7bafa53e8be2027b609dba43899b" title="compare_sd" alt="" coords="821,340,914,367"/>
<area shape="rect" id="node19" href="tools_2sd2plot_2sd2plot_8f90.html#a99f1e7580101bb9c1eb8c656fc07cd8d" title="sd_merge_stats" alt="" coords="810,391,925,417"/>
</map>
</div>

</div>
</div>
<a id="af5d323876988fa11c6341a6d97734332"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af5d323876988fa11c6341a6d97734332">&#9670;&nbsp;</a></span>read_sd_data_v002()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public sd_io_v002::read_sd_data_v002 </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), pointer&#160;</td>
          <td class="paramname"><em>first_sd_ptr</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5">graceful_exit()</a>, <a class="el" href="namespacesd__io__component__v002.html#a6141fac4a3ae4babab6fbfaf876f66ee">sd_io_component_v002::ierr</a>, <a class="el" href="namespacesd__io__component__v002.html#a460ce4f65e863c046d566712919d0a3a">sd_io_component_v002::process_read_i0()</a>, <a class="el" href="namespacesd__io__component__v002.html#a0021d98e3ceee5dacb0b3cc5adf1ee0c">sd_io_component_v002::process_read_i3()</a>, <a class="el" href="namespacesd__io__component__v002.html#aca540a66f0c8fbea5401c675dad8c6cd">sd_io_component_v002::process_read_r0()</a>, <a class="el" href="namespacesd__io__component__v002.html#ae30cd171eb9c9653e801d25818caf712">sd_io_component_v002::process_read_r3()</a>, <a class="el" href="namespacesd__io__component__v002.html#a9c36099806165dfac51a8a0c0fb70983">sd_io_component_v002::process_read_r4()</a>, <a class="el" href="sd__io__v002_8f90.html#a306130a4809e60a4292661ffea4c917b">process_read_sd()</a>, and <a class="el" href="namespacesd__io__component__v002.html#ae695849a4ddb9184488ae6c5d9ae6bcc">sd_io_component_v002::status</a>.</p>
<div id="dynsection-4" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-4-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-4-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-4-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacesd__io__v002_af5d323876988fa11c6341a6d97734332_cgraph.png" border="0" usemap="#namespacesd__io__v002_af5d323876988fa11c6341a6d97734332_cgraph" alt=""/></div>
<map name="namespacesd__io__v002_af5d323876988fa11c6341a6d97734332_cgraph" id="namespacesd__io__v002_af5d323876988fa11c6341a6d97734332_cgraph">
<area shape="rect" id="node2" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="671,208,767,235"/>
<area shape="rect" id="node4" href="namespacesd__io__component__v002.html#a460ce4f65e863c046d566712919d0a3a" title="sd_io_component_v002\l::process_read_i0" alt="" coords="196,107,355,149"/>
<area shape="rect" id="node6" href="namespacesd__io__component__v002.html#a0021d98e3ceee5dacb0b3cc5adf1ee0c" title="sd_io_component_v002\l::process_read_i3" alt="" coords="196,173,355,214"/>
<area shape="rect" id="node7" href="namespacesd__io__component__v002.html#aca540a66f0c8fbea5401c675dad8c6cd" title="sd_io_component_v002\l::process_read_r0" alt="" coords="196,238,355,279"/>
<area shape="rect" id="node8" href="namespacesd__io__component__v002.html#ae30cd171eb9c9653e801d25818caf712" title="sd_io_component_v002\l::process_read_r3" alt="" coords="196,369,355,410"/>
<area shape="rect" id="node18" href="namespacesd__io__component__v002.html#a9c36099806165dfac51a8a0c0fb70983" title="sd_io_component_v002\l::process_read_r4" alt="" coords="196,303,355,345"/>
<area shape="rect" id="node19" href="sd__io__v002_8f90.html#a306130a4809e60a4292661ffea4c917b" title="process_read_sd" alt="" coords="435,5,557,32"/>
<area shape="rect" id="node3" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="879,201,1009,242"/>
<area shape="rect" id="node5" href="namespacesd__io__component__v002.html#abafc8f95c0b12a207d1d8766d1c3d1ce" title="sd_io_component_v002\l::check_header_for_data_xx" alt="" coords="403,259,589,301"/>
<area shape="rect" id="node9" href="namespaceparser.html#a2204d5324b210ab1dc9803a58db1c814" title="parser::get_logical\l_param" alt="" coords="432,427,560,469"/>
<area shape="rect" id="node10" href="namespaceparser.html#a34f545c81b46c08e17a82c1628281242" title="parser::add_tag_to_list" alt="" coords="642,515,797,541"/>
<area shape="rect" id="node11" href="namespaceparser.html#a20cf12b9337602e6318ccd187ae7b74a" title="parser::combine_tag_list" alt="" coords="637,347,801,373"/>
<area shape="rect" id="node12" href="namespaceparser.html#a3ca87e1ce9b98eccb21ed318dd61daac" title="parser::get_param_from\l_tag_list" alt="" coords="639,398,799,439"/>
<area shape="rect" id="node17" href="namespaceparser.html#a91aaf4597fa9c7a14a57273280085469" title="parser::reset_tag_list" alt="" coords="647,464,791,491"/>
<area shape="rect" id="node13" href="namespaceparser.html#ae72f9b0f3318c3dc4c2290a3c543d78b" title="parser::compare_domain\l_param" alt="" coords="861,482,1027,523"/>
<area shape="rect" id="node14" href="namespaceparser.html#ae0cbde482df428447cce9a30d81332e7" title="parser::compare_tag\l_param" alt="" coords="873,314,1015,355"/>
<area shape="rect" id="node15" href="namespaceparser.html#ab0e00b1de2b23d9655cc7707e51ebae9" title="parser::in_param_rewind" alt="" coords="862,380,1026,407"/>
<area shape="rect" id="node16" href="namespaceparser.html#a99f99745577c0d4e01da2a949b601bf0" title="parser::in_param_rewind_tag" alt="" coords="849,431,1039,457"/>
</map>
</div>
<div id="dynsection-5" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-5-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-5-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-5-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacesd__io__v002_af5d323876988fa11c6341a6d97734332_icgraph.png" border="0" usemap="#namespacesd__io__v002_af5d323876988fa11c6341a6d97734332_icgraph" alt=""/></div>
<map name="namespacesd__io__v002_af5d323876988fa11c6341a6d97734332_icgraph" id="namespacesd__io__v002_af5d323876988fa11c6341a6d97734332_icgraph">
<area shape="rect" id="node2" href="sd__io_8f90.html#a7a08bf4aa1b37d9eb2b648391a061351" title="read_sd_data_work" alt="" coords="196,692,331,719"/>
<area shape="rect" id="node3" href="namespacesd__io.html#a18d0a9515eb353eb2e501cb24bb26e4b" title="sd_io::read_sd_data\l_file_list" alt="" coords="379,685,517,726"/>
<area shape="rect" id="node4" href="namespacesd__io.html#a7fef28bcbeeb29fff88ab5cd89465393" title="sd_io::read_sd_data" alt="" coords="782,523,921,549"/>
<area shape="rect" id="node36" href="namespacesd__io.html#a3d8e5d52c3907ed1b84599458129e4e5" title="sd_io::read_sd_data_file" alt="" coords="565,717,728,744"/>
<area shape="rect" id="node5" href="accuop-v01_8f90.html#ab8e63ac6594ce1188791fdf6497cd828" title="read_sd_test" alt="" coords="997,603,1095,629"/>
<area shape="rect" id="node6" href="namespacearts__cf__simulation.html#af39829beac049c1764a4fc8b688ff8b0" title="Initialization routine 1. " alt="" coords="979,421,1113,462"/>
<area shape="rect" id="node11" href="namespacearts__md__simulation.html#a3d6fef8fb1ad778ddb9a69e21c65c25e" title="arts_md_simulation\l::arts_md_init_step1" alt="" coords="976,486,1116,527"/>
<area shape="rect" id="node14" href="namespacearts__simulation.html#a6f46c953aada929893fc5d2dfaac0f4c" title="arts_simulation::arts\l_init_step1" alt="" coords="976,27,1116,69"/>
<area shape="rect" id="node17" href="compareDataFiles_8f90.html#a59b222e6afb675704a9e097f152f615c" title="dataanalysisciao" alt="" coords="987,755,1105,781"/>
<area shape="rect" id="node18" href="namespacenga__cf__cold__func.html#a954f8dc1c6cf2254c9e29584492937dc" title="nga_cf_cold_func::cf\l_cold_init_step1" alt="" coords="975,125,1117,166"/>
<area shape="rect" id="node23" href="interfacenga__cf__cold__func_1_1scalar__bc__hook.html#a8fe3ce1c57a677b10cc2ea355dc49a11" title="nga_cf_cold_func::scalar\l_bc_hook::scalar_bc_hook" alt="" coords="1165,187,1343,229"/>
<area shape="rect" id="node24" href="namespacenga__if__func.html#acfc411708492ec063ff80d6af8d11b86" title="nga_if_func::if_init\l_step1" alt="" coords="982,290,1110,331"/>
<area shape="rect" id="node29" href="namespacenga__x__func.html#a59635fdbb8689c805785adef9ab59889" title="nga_x_func::x_init\l_step1" alt="" coords="982,355,1110,397"/>
<area shape="rect" id="node32" href="tools_2sd2plot_2sd2plot_8f90.html#a57e5344d18306324ff6e812e78beb9e3" title="sd2plot" alt="" coords="1222,856,1286,883"/>
<area shape="rect" id="node33" href="spectrum_8f90.html#a0d6d5cc29e192d38e0e26c84cc0d1fd1" title="spectrum" alt="" coords="1008,704,1084,731"/>
<area shape="rect" id="node34" href="test__bmatrix_8f90.html#ab8f7c591d9846c97055be062b021e5c6" title="test_sd" alt="" coords="1013,552,1079,579"/>
<area shape="rect" id="node35" href="tsf_8f90.html#a714f2ed0b514f8e0578a44cc3307a89c" title="tsf" alt="" coords="1027,805,1065,832"/>
<area shape="rect" id="node7" href="namespacearts__cf__simulation.html#a372b0da189959755baaea7c5d75bf9fb" title="Initialization routine of the solver. " alt="" coords="1190,421,1318,462"/>
<area shape="rect" id="node9" href="namespacearts__wc__simulation.html#a532738af4bf9c2cb151dab03e904cc21" title="arts_wc_simulation\l::arts_wc_init" alt="" coords="1187,486,1321,527"/>
<area shape="rect" id="node8" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="1407,428,1470,455"/>
<area shape="rect" id="node10" href="arts__cf_2arts__wc_8f90.html#af7bb7cfbac3d52067a278f3367ac7ccd" title="arts_wc" alt="" coords="1405,493,1473,520"/>
<area shape="rect" id="node12" href="namespacearts__md__simulation.html#afd5f62079c0790e0bdad1f7bfb766a29" title="arts_md_simulation\l::arts_md_init" alt="" coords="1187,551,1321,593"/>
<area shape="rect" id="node13" href="arts_2arts__md_8f90.html#a448e6c85f77623da832aacf3910ed2b3" title="arts_md" alt="" coords="1404,559,1473,585"/>
<area shape="rect" id="node15" href="namespacearts__simulation.html#a043130c34ce9a9b4a1ea96faa8be3692" title="arts_simulation::arts_init" alt="" coords="1172,5,1336,32"/>
<area shape="rect" id="node16" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="1417,5,1461,32"/>
<area shape="rect" id="node19" href="namespacenga__cf__bmix__func.html#a10d9b85c2907eaf67a19676f6e903b99" title="nga_cf_bmix_func::cf\l_bmix_init" alt="" coords="1181,122,1327,163"/>
<area shape="rect" id="node21" href="namespacenga__cf__cold__func.html#aacd6b98963e282fe35d095621ad01930" title="nga_cf_cold_func::cf\l_cold_init" alt="" coords="1183,57,1325,98"/>
<area shape="rect" id="node20" href="nga__cf__bmix_8f90.html#a03498a029da62800ff43fa618657ae83" title="nga_cf_bmix" alt="" coords="1391,129,1487,156"/>
<area shape="rect" id="node22" href="nga__cf__cold_2nga__cf__cold_8f90.html#abb68a45d77deeb00b9d2eadec4755bbf" title="nga_cf_cold" alt="" coords="1393,64,1485,91"/>
<area shape="rect" id="node25" href="namespacenga__if__func.html#a1cf1bb54c5fa75e6fbf56cde70720527" title="nga_if_func::if_init" alt="" coords="1190,319,1318,345"/>
<area shape="rect" id="node27" href="namespacenga__if__ib__func.html#a6a6b74659652a9dfd96316db7cee2531" title="nga_if_ib_func::if\l_ib_init" alt="" coords="1193,253,1315,294"/>
<area shape="rect" id="node26" href="nga__if_2nga__if_8f90.html#ad0097941595a2ca34c36d82feb742ad0" title="nga_if" alt="" coords="1410,319,1467,345"/>
<area shape="rect" id="node28" href="nga__if__ib_2nga__if__ib_8f90.html#a40b85c09234cf3658b0935a7dda16f35" title="nga_if_ib" alt="" coords="1401,260,1476,287"/>
<area shape="rect" id="node30" href="namespacenga__x__func.html#a939e581f76d89434778319764f09d0a6" title="nga_x_func::x_init" alt="" coords="1190,369,1318,396"/>
<area shape="rect" id="node31" href="nga__x_8f90.html#abec3e747113e9dd808fcf2010dac88a0" title="nga_x" alt="" coords="1410,369,1467,396"/>
<area shape="rect" id="node37" href="read__sd__test_8f90.html#ab8e63ac6594ce1188791fdf6497cd828" title="read_sd_test" alt="" coords="803,717,900,744"/>
<area shape="rect" id="node38" href="namespacesd__io.html#a07e2dc530709ebf03be665233080c4a6" title="sd_io::read_sd_file_all" alt="" coords="776,805,927,832"/>
<area shape="rect" id="node39" href="compare__sd_8f90.html#a7b6c7bafa53e8be2027b609dba43899b" title="compare_sd" alt="" coords="999,957,1093,984"/>
<area shape="rect" id="node40" href="tools_2sd2plot_2sd2plot_8f90.html#a99f1e7580101bb9c1eb8c656fc07cd8d" title="sd_merge_stats" alt="" coords="989,856,1103,883"/>
</map>
</div>

</div>
</div>
<a id="aae409c19432905b55a45c65a17d623ae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae409c19432905b55a45c65a17d623ae">&#9670;&nbsp;</a></span>read_sd_grid_v002()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public sd_io_v002::read_sd_grid_v002 </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), pointer&#160;</td>
          <td class="paramname"><em>first_sd_ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structnga__io__defs_1_1nga__file__t.html">nga_file_t</a>), intent(in)&#160;</td>
          <td class="paramname"><em>nga_file</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacesd__io__component__v002.html#a6141fac4a3ae4babab6fbfaf876f66ee">sd_io_component_v002::ierr</a>, <a class="el" href="namespacesd__io__component__v002.html#a56e49de26f4fa47a18ceee73075f0494">sd_io_component_v002::process_grid_xyz()</a>, and <a class="el" href="namespacesd__io__component__v002.html#ae695849a4ddb9184488ae6c5d9ae6bcc">sd_io_component_v002::status</a>.</p>
<div id="dynsection-6" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-6-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-6-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-6-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacesd__io__v002_aae409c19432905b55a45c65a17d623ae_cgraph.png" border="0" usemap="#namespacesd__io__v002_aae409c19432905b55a45c65a17d623ae_cgraph" alt=""/></div>
<map name="namespacesd__io__v002_aae409c19432905b55a45c65a17d623ae_cgraph" id="namespacesd__io__v002_aae409c19432905b55a45c65a17d623ae_cgraph">
<area shape="rect" id="node2" href="namespacesd__io__component__v002.html#a56e49de26f4fa47a18ceee73075f0494" title="sd_io_component_v002\l::process_grid_xyz" alt="" coords="196,5,355,47"/>
<area shape="rect" id="node3" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="403,13,499,39"/>
<area shape="rect" id="node4" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="547,5,677,47"/>
</map>
</div>
<div id="dynsection-7" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-7-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-7-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-7-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacesd__io__v002_aae409c19432905b55a45c65a17d623ae_icgraph.png" border="0" usemap="#namespacesd__io__v002_aae409c19432905b55a45c65a17d623ae_icgraph" alt=""/></div>
<map name="namespacesd__io__v002_aae409c19432905b55a45c65a17d623ae_icgraph" id="namespacesd__io__v002_aae409c19432905b55a45c65a17d623ae_icgraph">
<area shape="rect" id="node2" href="sd__io_8f90.html#a7f03ccb9baaa1cd4bc4e063b756281b4" title="read_grid" alt="" coords="196,797,271,824"/>
<area shape="rect" id="node3" href="namespacesd__io.html#a26010a271195340bfc55798bac6b5d0c" title="sd_io::read_sd_grid\l_file_list" alt="" coords="319,790,453,831"/>
<area shape="rect" id="node4" href="namespacesd__io.html#aa8711ca098f4e06074dbd935258351ec" title="sd_io::read_sd_grid" alt="" coords="716,797,851,824"/>
<area shape="rect" id="node24" href="namespacesd__io.html#a6358e8c922477ffb3789f4905bc78a19" title="sd_io::read_sd_grid_file" alt="" coords="501,1127,660,1153"/>
<area shape="rect" id="node31" href="namespacesd__io.html#a2b47bb0e9595c2e5ddf9ea03eaba9d34" title="sd_io::interp_from_file" alt="" coords="708,379,859,405"/>
<area shape="rect" id="node5" href="accuop-v01_8f90.html#ab8e63ac6594ce1188791fdf6497cd828" title="read_sd_test" alt="" coords="949,873,1047,900"/>
<area shape="rect" id="node6" href="namespacearts__md__simulation.html#afd5f62079c0790e0bdad1f7bfb766a29" title="arts_md_simulation\l::arts_md_init" alt="" coords="1152,14,1287,55"/>
<area shape="rect" id="node8" href="namespacecfd__tools.html#a0556bc00b636fe03ca978e726709a9c6" title="sd initialization routine " alt="" coords="937,539,1059,581"/>
<area shape="rect" id="node15" href="cfd__tools__exp_8f90.html#ac688c49d79336ab0cae1905260507354" title="nover_from_scalar_scheme" alt="" coords="907,772,1089,799"/>
<area shape="rect" id="node16" href="check__md__load_8f90.html#ac0903998f5357ec93790662697684088" title="check_md_load" alt="" coords="941,823,1055,849"/>
<area shape="rect" id="node17" href="compareDataFiles_8f90.html#a59b222e6afb675704a9e097f152f615c" title="dataanalysisciao" alt="" coords="939,1025,1057,1052"/>
<area shape="rect" id="node18" href="tools_2sd2plot_2sd2plot_8f90.html#a57e5344d18306324ff6e812e78beb9e3" title="sd2plot" alt="" coords="1187,1127,1251,1153"/>
<area shape="rect" id="node19" href="namespacesd__io.html#a10c65fb71f15b52e01b2b42b3bbbbe62" title="sd_io::sd_init_single_sd" alt="" coords="917,671,1079,697"/>
<area shape="rect" id="node20" href="spectrum_8f90.html#a0d6d5cc29e192d38e0e26c84cc0d1fd1" title="spectrum" alt="" coords="960,1076,1036,1103"/>
<area shape="rect" id="node21" href="test__bmatrix_8f90.html#ab8f7c591d9846c97055be062b021e5c6" title="test_sd" alt="" coords="965,721,1031,748"/>
<area shape="rect" id="node22" href="tsf_8f90.html#a714f2ed0b514f8e0578a44cc3307a89c" title="tsf" alt="" coords="979,975,1017,1001"/>
<area shape="rect" id="node23" href="namespacevdf__tools.html#aadf7c3eb5df72d827142fe4f951fc332" title="vdf_tools::sd_init\l_single_vdf" alt="" coords="937,605,1059,646"/>
<area shape="rect" id="node7" href="arts_2arts__md_8f90.html#a448e6c85f77623da832aacf3910ed2b3" title="arts_md" alt="" coords="1403,21,1473,48"/>
<area shape="rect" id="node9" href="namespacenga__cf__cold__func.html#a954f8dc1c6cf2254c9e29584492937dc" title="nga_cf_cold_func::cf\l_cold_init_step1" alt="" coords="1148,430,1291,471"/>
<area shape="rect" id="node14" href="interfacenga__cf__cold__func_1_1scalar__bc__hook.html#a8fe3ce1c57a677b10cc2ea355dc49a11" title="nga_cf_cold_func::scalar\l_bc_hook::scalar_bc_hook" alt="" coords="1349,549,1527,590"/>
<area shape="rect" id="node10" href="namespacenga__cf__bmix__func.html#a10d9b85c2907eaf67a19676f6e903b99" title="nga_cf_bmix_func::cf\l_bmix_init" alt="" coords="1365,483,1511,525"/>
<area shape="rect" id="node12" href="namespacenga__cf__cold__func.html#aacd6b98963e282fe35d095621ad01930" title="nga_cf_cold_func::cf\l_cold_init" alt="" coords="1367,418,1509,459"/>
<area shape="rect" id="node11" href="nga__cf__bmix_8f90.html#a03498a029da62800ff43fa618657ae83" title="nga_cf_bmix" alt="" coords="1575,491,1671,517"/>
<area shape="rect" id="node13" href="nga__cf__cold_2nga__cf__cold_8f90.html#abb68a45d77deeb00b9d2eadec4755bbf" title="nga_cf_cold" alt="" coords="1577,425,1669,452"/>
<area shape="rect" id="node25" href="make__sd_2make__sd_8f90.html#aa7eef4a5ae1e95854a47d085487603b0" title="nga_mesh" alt="" coords="742,1152,825,1179"/>
<area shape="rect" id="node27" href="read__sd__test_8f90.html#ab8e63ac6594ce1188791fdf6497cd828" title="read_sd_test" alt="" coords="735,1203,832,1229"/>
<area shape="rect" id="node28" href="namespacesd__io.html#a07e2dc530709ebf03be665233080c4a6" title="sd_io::read_sd_file_all" alt="" coords="708,1101,859,1128"/>
<area shape="rect" id="node26" href="make__sd_2make__sd_8f90.html#a2d7374b709fd9606123d058907338753" title="make_sd" alt="" coords="961,1279,1035,1305"/>
<area shape="rect" id="node29" href="compare__sd_8f90.html#a7b6c7bafa53e8be2027b609dba43899b" title="compare_sd" alt="" coords="951,1177,1045,1204"/>
<area shape="rect" id="node30" href="tools_2sd2plot_2sd2plot_8f90.html#a99f1e7580101bb9c1eb8c656fc07cd8d" title="sd_merge_stats" alt="" coords="941,1127,1055,1153"/>
<area shape="rect" id="node32" href="namespacearts__cf__simulation.html#af39829beac049c1764a4fc8b688ff8b0" title="Initialization routine 1. " alt="" coords="931,175,1065,217"/>
<area shape="rect" id="node37" href="namespacearts__md__simulation.html#a3d6fef8fb1ad778ddb9a69e21c65c25e" title="arts_md_simulation\l::arts_md_init_step1" alt="" coords="928,58,1068,99"/>
<area shape="rect" id="node38" href="namespacearts__simulation.html#a6f46c953aada929893fc5d2dfaac0f4c" title="arts_simulation::arts\l_init_step1" alt="" coords="928,241,1068,282"/>
<area shape="rect" id="node41" href="namespacenga__if__func.html#acfc411708492ec063ff80d6af8d11b86" title="nga_if_func::if_init\l_step1" alt="" coords="934,306,1062,347"/>
<area shape="rect" id="node46" href="namespacenga__x__func.html#a59635fdbb8689c805785adef9ab59889" title="nga_x_func::x_init\l_step1" alt="" coords="934,371,1062,413"/>
<area shape="rect" id="node33" href="namespacearts__cf__simulation.html#a372b0da189959755baaea7c5d75bf9fb" title="Initialization routine of the solver. " alt="" coords="1155,145,1283,186"/>
<area shape="rect" id="node35" href="namespacearts__wc__simulation.html#a532738af4bf9c2cb151dab03e904cc21" title="arts_wc_simulation\l::arts_wc_init" alt="" coords="1152,79,1287,121"/>
<area shape="rect" id="node34" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="1407,152,1469,179"/>
<area shape="rect" id="node36" href="arts__cf_2arts__wc_8f90.html#af7bb7cfbac3d52067a278f3367ac7ccd" title="arts_wc" alt="" coords="1404,87,1472,113"/>
<area shape="rect" id="node39" href="namespacearts__simulation.html#a043130c34ce9a9b4a1ea96faa8be3692" title="arts_simulation::arts_init" alt="" coords="1137,211,1301,237"/>
<area shape="rect" id="node40" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="1416,211,1460,237"/>
<area shape="rect" id="node42" href="namespacenga__if__func.html#a1cf1bb54c5fa75e6fbf56cde70720527" title="nga_if_func::if_init" alt="" coords="1155,328,1283,355"/>
<area shape="rect" id="node44" href="namespacenga__if__ib__func.html#a6a6b74659652a9dfd96316db7cee2531" title="nga_if_ib_func::if\l_ib_init" alt="" coords="1159,262,1280,303"/>
<area shape="rect" id="node43" href="nga__if_2nga__if_8f90.html#ad0097941595a2ca34c36d82feb742ad0" title="nga_if" alt="" coords="1409,316,1467,343"/>
<area shape="rect" id="node45" href="nga__if__ib_2nga__if__ib_8f90.html#a40b85c09234cf3658b0935a7dda16f35" title="nga_if_ib" alt="" coords="1401,265,1475,292"/>
<area shape="rect" id="node47" href="namespacenga__x__func.html#a939e581f76d89434778319764f09d0a6" title="nga_x_func::x_init" alt="" coords="1155,379,1283,405"/>
<area shape="rect" id="node48" href="nga__x_8f90.html#abec3e747113e9dd808fcf2010dac88a0" title="nga_x" alt="" coords="1409,367,1467,393"/>
</map>
</div>

</div>
</div>
<a id="a82905408be86b386e5c63fb8ca67ae81"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a82905408be86b386e5c63fb8ca67ae81">&#9670;&nbsp;</a></span>write_sd_data_v002()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public sd_io_v002::write_sd_data_v002 </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(in)&#160;</td>
          <td class="paramname"><em>sd</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacesd__io__component__v002.html#a53ea0a2b89bccef84021e131c4c8bb23">sd_io_component_v002::write_i0_ptr()</a>, <a class="el" href="namespacesd__io__component__v002.html#a9b6a2dcc3188b9f3fc4b93e50c34bdbe">sd_io_component_v002::write_i3()</a>, <a class="el" href="namespacesd__io__component__v002.html#a606ba56c615c2d724c4b12afc31b93c8">sd_io_component_v002::write_r0_ptr()</a>, <a class="el" href="namespacesd__io__component__v002.html#aecd12767b647737497aba82f831baceb">sd_io_component_v002::write_r3()</a>, <a class="el" href="namespacesd__io__component__v002.html#a037546f00827aa2efb22686905405a8b">sd_io_component_v002::write_r4()</a>, <a class="el" href="namespacesd__io__component__v002.html#a63c1992f1066e1d42fa0e46833836499">sd_io_component_v002::write_sd_info()</a>, and <a class="el" href="namespacesd__io__component__v002.html#ab229ffde0636d8deeeb65aa091e2c51c">sd_io_component_v002::write_sd_last()</a>.</p>
<div id="dynsection-8" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-8-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-8-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-8-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacesd__io__v002_a82905408be86b386e5c63fb8ca67ae81_cgraph.png" border="0" usemap="#namespacesd__io__v002_a82905408be86b386e5c63fb8ca67ae81_cgraph" alt=""/></div>
<map name="namespacesd__io__v002_a82905408be86b386e5c63fb8ca67ae81_cgraph" id="namespacesd__io__v002_a82905408be86b386e5c63fb8ca67ae81_cgraph">
<area shape="rect" id="node2" href="namespacesd__io__component__v002.html#a53ea0a2b89bccef84021e131c4c8bb23" title="sd_io_component_v002\l::write_i0_ptr" alt="" coords="199,5,357,47"/>
<area shape="rect" id="node4" href="namespacesd__io__component__v002.html#a9b6a2dcc3188b9f3fc4b93e50c34bdbe" title="sd_io_component_v002\l::write_i3" alt="" coords="199,71,357,112"/>
<area shape="rect" id="node5" href="namespacesd__io__component__v002.html#a606ba56c615c2d724c4b12afc31b93c8" title="sd_io_component_v002\l::write_r0_ptr" alt="" coords="199,136,357,177"/>
<area shape="rect" id="node6" href="namespacesd__io__component__v002.html#aecd12767b647737497aba82f831baceb" title="sd_io_component_v002\l::write_r3" alt="" coords="199,201,357,243"/>
<area shape="rect" id="node7" href="namespacesd__io__component__v002.html#a037546f00827aa2efb22686905405a8b" title="sd_io_component_v002\l::write_r4" alt="" coords="199,267,357,308"/>
<area shape="rect" id="node8" href="namespacesd__io__component__v002.html#a63c1992f1066e1d42fa0e46833836499" title="sd_io_component_v002\l::write_sd_info" alt="" coords="199,332,357,373"/>
<area shape="rect" id="node9" href="namespacesd__io__component__v002.html#ab229ffde0636d8deeeb65aa091e2c51c" title="sd_io_component_v002\l::write_sd_last" alt="" coords="199,397,357,439"/>
<area shape="rect" id="node3" href="namespacenga__io__header__v002.html#a40eda8bf120d52345a098cf2ec2ebec8" title="nga_io_header_v002\l::set_default_header" alt="" coords="405,201,547,243"/>
</map>
</div>
<div id="dynsection-9" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-9-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-9-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-9-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacesd__io__v002_a82905408be86b386e5c63fb8ca67ae81_icgraph.png" border="0" usemap="#namespacesd__io__v002_a82905408be86b386e5c63fb8ca67ae81_icgraph" alt=""/></div>
<map name="namespacesd__io__v002_a82905408be86b386e5c63fb8ca67ae81_icgraph" id="namespacesd__io__v002_a82905408be86b386e5c63fb8ca67ae81_icgraph">
<area shape="rect" id="node2" href="sd__io_8f90.html#a99f7b99a88e3ab555ae0c430eb4abe63" title="write_sd_data" alt="" coords="199,283,301,309"/>
<area shape="rect" id="node3" href="namespacesd__io.html#a23701612634922554d30324394b6821f" title="sd_io::write_sd" alt="" coords="349,283,460,309"/>
<area shape="rect" id="node4" href="accuop-v01_8f90.html#ab8e63ac6594ce1188791fdf6497cd828" title="read_sd_test" alt="" coords="541,5,639,32"/>
<area shape="rect" id="node5" href="make__sd_2make__sd_8f90.html#a2d7374b709fd9606123d058907338753" title="make_sd" alt="" coords="553,56,627,83"/>
<area shape="rect" id="node6" href="namespaceparam__ciao.html#a44466c4427a87b55392d37b33a411738" title="param_ciao::param_ciao\l_write" alt="" coords="508,107,672,149"/>
<area shape="rect" id="node8" href="renameSD_8f90.html#a59b222e6afb675704a9e097f152f615c" title="dataanalysisciao" alt="" coords="531,173,649,200"/>
<area shape="rect" id="node9" href="namespacesd__regrid__m.html#aeddef0f7b422be82ffa526defc2a4a63" title="sd_regrid_m::project\l_sd_with_regrid" alt="" coords="520,275,660,317"/>
<area shape="rect" id="node10" href="tools_2sd2plot_2sd2plot_8f90.html#a57e5344d18306324ff6e812e78beb9e3" title="sd2plot" alt="" coords="771,151,835,177"/>
<area shape="rect" id="node11" href="namespacesd__io.html#a363f982c54a2de64aa39cb9310935575" title="sd_io::write_sd_grid" alt="" coords="521,341,659,368"/>
<area shape="rect" id="node12" href="namespacesd__io.html#a371e0a6b01aced3bd21cdbbb30bfbc79" title="sd_io::nga_data_write" alt="" coords="515,420,665,447"/>
<area shape="rect" id="node49" href="test__sd_8f90.html#ab8f7c591d9846c97055be062b021e5c6" title="test_sd" alt="" coords="557,471,623,497"/>
<area shape="rect" id="node50" href="write__sd__test_8f90.html#a61c6a5d0f5b8bc3e560e6ce01db5e67a" title="write_sd_test" alt="" coords="540,521,640,548"/>
<area shape="rect" id="node7" href="init__flow_8f90.html#a4520946850f5f87e24f6b14c7000d651" title="init_flow" alt="" coords="768,100,839,127"/>
<area shape="rect" id="node13" href="namespacearts__cf__simulation.html#abdb8027338aa355baf9c6d9f73c97032" title="Post&#45;step. " alt="" coords="739,267,867,309"/>
<area shape="rect" id="node17" href="namespacearts__md__simulation.html#a97a21252e6b5e4038bafa69b3ff35a98" title="arts_md_simulation\l::arts_md_poststep" alt="" coords="736,587,871,629"/>
<area shape="rect" id="node19" href="namespacearts__simulation.html#a620c49349fe0e4c7cf28b109aaa0bdbc" title="arts_simulation::arts\l_poststep" alt="" coords="733,763,873,805"/>
<area shape="rect" id="node32" href="namespacenga__cf__cold__func.html#ade35a0ce7fb88c88a71e2f0e786e872d" title="nga_cf_cold_func::cf\l_cold_poststep" alt="" coords="732,202,875,243"/>
<area shape="rect" id="node34" href="nga__cf__cold__func__exp_8f90.html#a20ec1031c642ee27b3a8c8bed1ff948b" title="recompute_metric" alt="" coords="1137,527,1264,553"/>
<area shape="rect" id="node35" href="namespacenga__if__func.html#a4a0054b731a1aa1a321d67cb9372038e" title="nga_if_func::if_poststep" alt="" coords="723,333,884,360"/>
<area shape="rect" id="node37" href="namespacenga__x__func.html#ac1779c8050ee137f2c334d946280824c" title="nga_x_func::x_poststep" alt="" coords="723,384,884,411"/>
<area shape="rect" id="node39" href="namespacesd__io.html#a5668f84b92303e27e3bcc79e28c1b41b" title="sd_io::sd_finalize" alt="" coords="742,653,865,680"/>
<area shape="rect" id="node44" href="namespacesd__io.html#ad70d0b24ce7b57b6f0ca3e6f893859bd" title="sd_io::md_finalize" alt="" coords="740,948,867,975"/>
<area shape="rect" id="node46" href="namespacesd__io.html#a0ceb74de19f091003e8bc10dc1774286" title="sd_io::check_control_file" alt="" coords="720,485,887,512"/>
<area shape="rect" id="node47" href="test__object_8f90.html#ab8e63ac6594ce1188791fdf6497cd828" title="read_sd_test" alt="" coords="959,435,1057,461"/>
<area shape="rect" id="node14" href="arts__cf_2arts__cf_8f90.html#ae28d576a7e640ac338dc0cfe39b4a2e3" title="simulation_run" alt="" coords="955,283,1061,309"/>
<area shape="rect" id="node15" href="namespacearts__wc__simulation.html#ac20af3942c7b3d8ec4df423627724cd7" title="arts_wc_simulation\l::arts_wc_poststep" alt="" coords="941,217,1075,258"/>
<area shape="rect" id="node16" href="arts__cf_2arts__wc_8f90.html#afc8fbe711a3d2872c20abc0b8848acb5" title="simulation_run" alt="" coords="1147,224,1254,251"/>
<area shape="rect" id="node18" href="arts_2arts__md_8f90.html#a539860039fa2e9f4d5cae3f324d15649" title="simulation_run" alt="" coords="955,591,1061,617"/>
<area shape="rect" id="node20" href="arts_2arts_8f90.html#a497ad2f15ec27f7e5bff2e078bffbf5d" title="simulation_run" alt="" coords="955,937,1061,964"/>
<area shape="rect" id="node21" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="1179,912,1223,939"/>
<area shape="rect" id="node22" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="1335,901,1397,928"/>
<area shape="rect" id="node23" href="arts__cf_2arts__cf__md_8f90.html#acce0fc0bbf137cebf13cf5f9deb9d4d9" title="arts_cf_md" alt="" coords="1157,963,1244,989"/>
<area shape="rect" id="node24" href="arts_2arts__md_8f90.html#a448e6c85f77623da832aacf3910ed2b3" title="arts_md" alt="" coords="1166,1216,1235,1243"/>
<area shape="rect" id="node25" href="arts__cf_2arts__wc_8f90.html#af7bb7cfbac3d52067a278f3367ac7ccd" title="arts_wc" alt="" coords="1167,1013,1235,1040"/>
<area shape="rect" id="node26" href="nga__cf__bmix_8f90.html#a03498a029da62800ff43fa618657ae83" title="nga_cf_bmix" alt="" coords="1153,1064,1249,1091"/>
<area shape="rect" id="node27" href="nga__cf__cold_2nga__cf__cold_8f90.html#abb68a45d77deeb00b9d2eadec4755bbf" title="nga_cf_cold" alt="" coords="1320,648,1412,675"/>
<area shape="rect" id="node28" href="nga__if_2nga__if_8f90.html#ad0097941595a2ca34c36d82feb742ad0" title="nga_if" alt="" coords="1172,1115,1229,1141"/>
<area shape="rect" id="node29" href="nga__if__ib_2nga__if__ib_8f90.html#a40b85c09234cf3658b0935a7dda16f35" title="nga_if_ib" alt="" coords="1163,760,1238,787"/>
<area shape="rect" id="node30" href="nga__if_2nga__if__md_8f90.html#a16ff94900431e21a93779b3f14565de9" title="nga_cold_md" alt="" coords="1151,811,1250,837"/>
<area shape="rect" id="node31" href="nga__x_8f90.html#abec3e747113e9dd808fcf2010dac88a0" title="nga_x" alt="" coords="1172,861,1229,888"/>
<area shape="rect" id="node33" href="nga__cf__cold_2nga__cf__cold_8f90.html#aafdecc6eec919b77fcfee82496e6ec3e" title="simulation_run" alt="" coords="955,165,1061,192"/>
<area shape="rect" id="node36" href="nga__if_2nga__if_8f90.html#ac80e8db8d781535b6016fedee8395f11" title="simulation_run" alt="" coords="955,333,1061,360"/>
<area shape="rect" id="node38" href="nga__x_8f90.html#af1c88570d30098ff61b3df803ecef63a" title="simulation_run" alt="" coords="955,384,1061,411"/>
<area shape="rect" id="node40" href="namespacecfd__func.html#a5b6728bdcd8c8379070d3fa7ed6c8ca3" title="cfd_func::cfd_finalize" alt="" coords="935,641,1081,668"/>
<area shape="rect" id="node43" href="namespacevdf__func.html#a711f7037c8115dda591b9c0c12bd267e" title="vdf_func::vdf_finalize" alt="" coords="935,692,1081,719"/>
<area shape="rect" id="node41" href="namespacearts__cf__simulation.html#acb43028985f82e2ed772927994259d71" title="Finalizing step. " alt="" coords="1137,643,1265,685"/>
<area shape="rect" id="node42" href="namespacenga__cf__cold__func.html#a8d71bb42cb39016ce2a5a695a14d1739" title="nga_cf_cold_func::cf\l_cold_stop" alt="" coords="1129,578,1272,619"/>
<area shape="rect" id="node45" href="namespacearts__md__simulation.html#a64c9ea105732c1554e42a3c613bee4f2" title="arts_md_simulation\l::arts_md_stop" alt="" coords="941,1086,1075,1127"/>
<area shape="rect" id="node48" href="namespacevdf__func.html#a0e31a8a0b2b40594e3956dbb86c67cd4" title="vdf_func::done" alt="" coords="954,485,1062,512"/>
</map>
</div>

</div>
</div>
<a id="ae4fc5ca5721d47af96a0343af0cfea53"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae4fc5ca5721d47af96a0343af0cfea53">&#9670;&nbsp;</a></span>write_sd_grid_v002()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public sd_io_v002::write_sd_grid_v002 </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>sd</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacesd__io__component__v002.html#a02a805e191989d81efe2b38918e577bd">sd_io_component_v002::write_cv_mask()</a>, <a class="el" href="sd__io__v002_8f90.html#a67c6c96ae80d6776b1372a4b82969d37">write_sd_boundary()</a>, <a class="el" href="namespacesd__io__component__v002.html#a9bc4075c82c49452d21914aafe150d09">sd_io_component_v002::write_sd_grid_xyz()</a>, <a class="el" href="namespacesd__io__component__v002.html#a63c1992f1066e1d42fa0e46833836499">sd_io_component_v002::write_sd_info()</a>, and <a class="el" href="namespacesd__io__component__v002.html#ab229ffde0636d8deeeb65aa091e2c51c">sd_io_component_v002::write_sd_last()</a>.</p>
<div id="dynsection-10" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-10-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-10-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-10-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacesd__io__v002_ae4fc5ca5721d47af96a0343af0cfea53_cgraph.png" border="0" usemap="#namespacesd__io__v002_ae4fc5ca5721d47af96a0343af0cfea53_cgraph" alt=""/></div>
<map name="namespacesd__io__v002_ae4fc5ca5721d47af96a0343af0cfea53_cgraph" id="namespacesd__io__v002_ae4fc5ca5721d47af96a0343af0cfea53_cgraph">
<area shape="rect" id="node2" href="namespacesd__io__component__v002.html#a02a805e191989d81efe2b38918e577bd" title="sd_io_component_v002\l::write_cv_mask" alt="" coords="199,5,357,47"/>
<area shape="rect" id="node4" href="sd__io__v002_8f90.html#a67c6c96ae80d6776b1372a4b82969d37" title="write_sd_boundary" alt="" coords="213,267,343,294"/>
<area shape="rect" id="node6" href="namespacesd__io__component__v002.html#a9bc4075c82c49452d21914aafe150d09" title="sd_io_component_v002\l::write_sd_grid_xyz" alt="" coords="199,71,357,112"/>
<area shape="rect" id="node7" href="namespacesd__io__component__v002.html#a63c1992f1066e1d42fa0e46833836499" title="sd_io_component_v002\l::write_sd_info" alt="" coords="199,136,357,177"/>
<area shape="rect" id="node8" href="namespacesd__io__component__v002.html#ab229ffde0636d8deeeb65aa091e2c51c" title="sd_io_component_v002\l::write_sd_last" alt="" coords="199,201,357,243"/>
<area shape="rect" id="node3" href="namespacenga__io__header__v002.html#a40eda8bf120d52345a098cf2ec2ebec8" title="nga_io_header_v002\l::set_default_header" alt="" coords="405,104,547,145"/>
<area shape="rect" id="node5" href="sd__io__v002_8f90.html#ae81bbe102e379d252e60fa28c5cf0c1d" title="write_a_boundary" alt="" coords="414,267,538,294"/>
</map>
</div>
<div id="dynsection-11" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-11-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-11-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-11-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacesd__io__v002_ae4fc5ca5721d47af96a0343af0cfea53_icgraph.png" border="0" usemap="#namespacesd__io__v002_ae4fc5ca5721d47af96a0343af0cfea53_icgraph" alt=""/></div>
<map name="namespacesd__io__v002_ae4fc5ca5721d47af96a0343af0cfea53_icgraph" id="namespacesd__io__v002_ae4fc5ca5721d47af96a0343af0cfea53_icgraph">
<area shape="rect" id="node2" href="sd__io_8f90.html#a261eb435f9c73585474afc7da423f0ef" title="write_sd_grid" alt="" coords="199,13,297,39"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a8bb3d442b264f04e0152d7728c4a06f5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8bb3d442b264f04e0152d7728c4a06f5">&#9670;&nbsp;</a></span>data_size</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer(8), private sd_io_v002::data_size</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2cc2e74faa28d6e5c8ec13876594cdcc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2cc2e74faa28d6e5c8ec13876594cdcc">&#9670;&nbsp;</a></span>data_type</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer, private sd_io_v002::data_type</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af79d34fa10cd092ff7b7462b15b2563f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af79d34fa10cd092ff7b7462b15b2563f">&#9670;&nbsp;</a></span>ierr</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer, private sd_io_v002::ierr</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af18ab9b20380380d50c21a3519522464"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af18ab9b20380380d50c21a3519522464">&#9670;&nbsp;</a></span>my_data_size</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer, private sd_io_v002::my_data_size</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a53b33a3db86b47aa1b6141858fc1a03c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a53b33a3db86b47aa1b6141858fc1a03c">&#9670;&nbsp;</a></span>name</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">character(len=str_medium), private sd_io_v002::name</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af3749edc1b24f90b892c157df33bbc84"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af3749edc1b24f90b892c157df33bbc84">&#9670;&nbsp;</a></span>offset_tmp</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer(kind=mpi_offset_kind), private sd_io_v002::offset_tmp</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aab82c3f95cef09e1b759fe30c05a9363"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab82c3f95cef09e1b759fe30c05a9363">&#9670;&nbsp;</a></span>status</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer, dimension(mpi_status_size), private sd_io_v002::status</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab5bf8a8fcd1441bc45f255941e092d12"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab5bf8a8fcd1441bc45f255941e092d12">&#9670;&nbsp;</a></span>sub_name</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">character(len=str_medium), private sd_io_v002::sub_name</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:52 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
